Get All Role Bindings

Get All Role Bindings
List which users and groups hold which roles

Returns every user or group that currently has at least one role assigned, together with the roles they hold. The id in each result is the value to use as binding-id when calling GET, PUT, or DELETE /iam/role-bindings/{binding-id}.

Request
URI
GET
https://{api_host}/https://{api_host}:{port}/lh-appliance/iam/role-bindings
COPY
Query Parameters
string
user_name
Optional

Return only bindings for the user or group whose name contains this value.

role
Optional

Return only bindings that include at least one of these roles.

of UserType array
user_type
Optional

Return only bindings for entities of these user types.

integer
offset
Optional
Constraints: minimum: 0 default: 0

Offset pagination parameter used to exclude from a response the first N items of a resource collection. Combine the offset and the page_size options to request a particular set or page of items.

integer
page_size
Optional
Constraints: minimum: 0 default: 1000

Number of records to be returned in the API request from the provided offset

boolean,null
sort_ascending
Optional
Constraints: default: false

True, if the list of records returned need to be sorted in ascending order, false otherwise.

string
sort_by
Optional

The parameter name on which to sort the list of records. Only top-level parameters in the returned list of records will be supported. If not provided, system will define the parameter by which results are sorted.


Authentication
This operation uses the following authentication methods.
Responses
200

The list of role bindings was retrieved successfully.

Returns RoleBindingList of type(s) application/json
This response body class contains all of the following: ListResult , InlineRoleBindingList1
{
    "offset": 0,
    "number_of_results": 1,
    "total_result_count": 1,
    "total_pages": 1,
    "sort_ascending": true,
    "sort_by": "entity_name",
    "results": [
        {
            "id": "5c4d9f2a-1234-4a11-9d3a-7e6f0b8c2d10",
            "entity_name": "admin",
            "user_type": "LOCAL_USER",
            "roles": [
                {
                    "role": "AUDITOR"
                }
            ]
        }
    ]
}

204

No role bindings exist because no LDAP identity source is configured yet.

Operation doesn't return any data structure

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


default

4XX and 5XX type errors with appropriate message

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/https://{api_host}:{port}/lh-appliance/iam/role-bindings